package com.steering.Mcms.entity;

/**
 * Created by 朱少波 on 2020/11/11.
 */
/**
 * 数据库表CMM_WEIGHT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-11-11
 */
@SuppressWarnings("serial")
public class CmmWeightResultEntity implements java.io.Serializable {
    /**
     * 磅单号/单据号
     */
    private String resultNo = "";
    /**
     * 第一次过磅记录流水号
     */
    private String recordNo1 = "";
    /**
     * 第二次过磅记录流水号
     */
    private String recordNo2 = "";
    /**
     * 第一次过磅检斤人
     */
    private String recoder1 = "";
    /**
     * 第二次过磅检斤人
     */
    private String recoder2 = "";
    /**
     * 第一次过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     */
    private String recordType1 = "";
    /**
     * 第二次过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     */
    private String recordType2 = "";
    /**
     * 皮重
     */
    private String tareWt = "";
    /**
     * 毛重
     */
    private String grossWt = "";
    /**
     * 净重
     */
    private String netWt = "";
    /**
     * 第一次过磅检斤时间
     */
    private String recordDate1 = "";
    /**
     * 第一次过磅检斤时间
     */
    private String recordDate2 = "";
    /**
     * 物资名称
     */
    private String matName = "";
    /**
     * 称重类型
     */
    private String matType = "";
    /**
     * 装车单号
     */
    private String loadvehicleNo = "";
    /**
     * 收货单位
     */
    private String receiveName = "";
    /**
     * 订货单位
     */
    private String orderName = "";
    /**
     * 发货单位
     */
    private String shippersName = "";
    /**
     * 运输单位
     */
    private String transportName = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 作废时间
     */
    private String deleteDate = "";
    /**
     * 作废人
     */
    private String deleteUser = "";
    /**
     * 第一次过磅磅房编号
     */
    private String recoderLocation1 = "";
    /**
     * 第二次过磅磅房编号
     */
    private String recoderLocation2 = "";
    /**
     * 有效标志 0-无效   1-一次称重  2: 完成
     */
    private String validflag = "";
    /**
     * 实发重
     */
    private String realWt = "";
    /**
     * 车牌号
     */
    private String carNo = "";
    /**
     * 支数
     */
    private String matNum = "";

    /**
     * 磅单号/单据号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 磅单号/单据号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 第一次过磅记录流水号
     * @return value
     */
    public String getRecordNo1() {
        return recordNo1;
    }

    /**
     * 第一次过磅记录流水号
     * @param recordNo1 value
     */
    public void setRecordNo1(String recordNo1) {
        this.recordNo1 = recordNo1;
    }

    /**
     * 第二次过磅记录流水号
     * @return value
     */
    public String getRecordNo2() {
        return recordNo2;
    }

    /**
     * 第二次过磅记录流水号
     * @param recordNo2 value
     */
    public void setRecordNo2(String recordNo2) {
        this.recordNo2 = recordNo2;
    }

    /**
     * 第一次过磅检斤人
     * @return value
     */
    public String getRecoder1() {
        return recoder1;
    }

    /**
     * 第一次过磅检斤人
     * @param recoder1 value
     */
    public void setRecoder1(String recoder1) {
        this.recoder1 = recoder1;
    }

    /**
     * 第二次过磅检斤人
     * @return value
     */
    public String getRecoder2() {
        return recoder2;
    }

    /**
     * 第二次过磅检斤人
     * @param recoder2 value
     */
    public void setRecoder2(String recoder2) {
        this.recoder2 = recoder2;
    }

    /**
     * 第一次过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     * @return value
     */
    public String getRecordType1() {
        return recordType1;
    }

    /**
     * 第一次过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     * @param recordType1 value
     */
    public void setRecordType1(String recordType1) {
        this.recordType1 = recordType1;
    }

    /**
     * 第二次过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     * @return value
     */
    public String getRecordType2() {
        return recordType2;
    }

    /**
     * 第二次过磅类型  101- 空车过皮   102-钢坯采购  103-钢坯采购 104-采购辅料 105-修复返厂 106-设备采购 107-其他内转 108-内转钢管 109-内转钢坯 201- 配车单称重  202-废料销售 203-修复出厂 204-其他内转 205-内转钢管 206-内转钢坯 207-空车回皮
     * @param recordType2 value
     */
    public void setRecordType2(String recordType2) {
        this.recordType2 = recordType2;
    }

    /**
     * 皮重
     * @return value
     */
    public String getTareWt() {
        return tareWt;
    }

    /**
     * 皮重
     * @param tareWt value
     */
    public void setTareWt(String tareWt) {
        this.tareWt = tareWt;
    }

    /**
     * 毛重
     * @return value
     */
    public String getGrossWt() {
        return grossWt;
    }

    /**
     * 毛重
     * @param grossWt value
     */
    public void setGrossWt(String grossWt) {
        this.grossWt = grossWt;
    }

    /**
     * 净重
     * @return value
     */
    public String getNetWt() {
        return netWt;
    }

    /**
     * 净重
     * @param netWt value
     */
    public void setNetWt(String netWt) {
        this.netWt = netWt;
    }

    /**
     * 第一次过磅检斤时间
     * @return value
     */
    public String getRecordDate1() {
        return recordDate1;
    }

    /**
     * 第一次过磅检斤时间
     * @param recordDate1 value
     */
    public void setRecordDate1(String recordDate1) {
        this.recordDate1 = recordDate1;
    }

    /**
     * 第一次过磅检斤时间
     * @return value
     */
    public String getRecordDate2() {
        return recordDate2;
    }

    /**
     * 第一次过磅检斤时间
     * @param recordDate2 value
     */
    public void setRecordDate2(String recordDate2) {
        this.recordDate2 = recordDate2;
    }

    /**
     * 物资名称
     * @return value
     */
    public String getMatName() {
        return matName;
    }

    /**
     * 物资名称
     * @param matName value
     */
    public void setMatName(String matName) {
        this.matName = matName;
    }

    /**
     * 称重类型
     * @return value
     */
    public String getMatType() {
        return matType;
    }

    /**
     * 称重类型
     * @param matType value
     */
    public void setMatType(String matType) {
        this.matType = matType;
    }

    /**
     * 装车单号
     * @return value
     */
    public String getLoadvehicleNo() {
        return loadvehicleNo;
    }

    /**
     * 装车单号
     * @param loadvehicleNo value
     */
    public void setLoadvehicleNo(String loadvehicleNo) {
        this.loadvehicleNo = loadvehicleNo;
    }

    /**
     * 收货单位
     * @return value
     */
    public String getReceiveName() {
        return receiveName;
    }

    /**
     * 收货单位
     * @param receiveName value
     */
    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    /**
     * 订货单位
     * @return value
     */
    public String getOrderName() {
        return orderName;
    }

    /**
     * 订货单位
     * @param orderName value
     */
    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    /**
     * 发货单位
     * @return value
     */
    public String getShippersName() {
        return shippersName;
    }

    /**
     * 发货单位
     * @param shippersName value
     */
    public void setShippersName(String shippersName) {
        this.shippersName = shippersName;
    }

    /**
     * 运输单位
     * @return value
     */
    public String getTransportName() {
        return transportName;
    }

    /**
     * 运输单位
     * @param transportName value
     */
    public void setTransportName(String transportName) {
        this.transportName = transportName;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteDate() {
        return deleteDate;
    }

    /**
     * 作废时间
     * @param deleteDate value
     */
    public void setDeleteDate(String deleteDate) {
        this.deleteDate = deleteDate;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteUser() {
        return deleteUser;
    }

    /**
     * 作废人
     * @param deleteUser value
     */
    public void setDeleteUser(String deleteUser) {
        this.deleteUser = deleteUser;
    }

    /**
     * 第一次过磅磅房编号
     * @return value
     */
    public String getRecoderLocation1() {
        return recoderLocation1;
    }

    /**
     * 第一次过磅磅房编号
     * @param recoderLocation1 value
     */
    public void setRecoderLocation1(String recoderLocation1) {
        this.recoderLocation1 = recoderLocation1;
    }

    /**
     * 第二次过磅磅房编号
     * @return value
     */
    public String getRecoderLocation2() {
        return recoderLocation2;
    }

    /**
     * 第二次过磅磅房编号
     * @param recoderLocation2 value
     */
    public void setRecoderLocation2(String recoderLocation2) {
        this.recoderLocation2 = recoderLocation2;
    }

    /**
     * 有效标志 0-无效   1-一次称重  2: 完成
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志 0-无效   1-一次称重  2: 完成
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 实发重
     * @return value
     */
    public String getRealWt() {
        return realWt;
    }

    /**
     * 实发重
     * @param realWt value
     */
    public void setRealWt(String realWt) {
        this.realWt = realWt;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getCarNo() {
        return carNo;
    }

    /**
     * 车牌号
     * @param carNo value
     */
    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    /**
     * 支数
     * @return value
     */
    public String getMatNum() {
        return matNum;
    }

    /**
     * 支数
     * @param matNum value
     */
    public void setMatNum(String matNum) {
        this.matNum = matNum;
    }
}